Preprocessor Error with Reshade 3.0

  • Posts: 5
3 years 5 months ago - 3 years 5 months ago #1 by D_Widget
Recently installed Reshade for Dark Souls 3 to use ReKindled and Lexar's FX presets. Followed the instructions to a t and get a bunch of errors saying '"Preprocessor error: could not open included file '[common.fx, riggycount.fx, etc]'". Checked the files, they're there, and I get the same errors with both the Rekindled preset and Lexar's preset, so I'm assuming there isn't anything wrong with the files themselves. At the moment I'm completely stumped. Hopefully there's a really simple fix for this. Thank you so much in advance for any feedback and help.

Screenshot of the the log because I can't find the actual log outside of the in-game UI:

Please Log in or Create an account to join the conversation.

  • Posts: 3723
3 years 5 months ago #2 by crosire
Delete ReShade.fx. It's a file from ReShade 2.0 that should not be there if you use ReShade 3.0.

Please Log in or Create an account to join the conversation.

  • Posts: 5
3 years 5 months ago - 3 years 5 months ago #3 by D_Widget
Tried that, now reshade won't recognize anything, not even a log.

Please Log in or Create an account to join the conversation.

  • Posts: 3723
3 years 5 months ago #4 by crosire
Use the official setup tool from this website to install ReShade. All files will be put in the right locations then. And never mix an old version of ReShade with a newer one. Same goes for presets.

Please Log in or Create an account to join the conversation.

  • Posts: 5
3 years 5 months ago #5 by D_Widget
I did use the official tool, than downloaded and installed the Rekindled FX 1.2 preset I got from the presets section of the website. Does this mean the preset itself is out of date? If it is, is there a place I could check for an updated one?

Please Log in or Create an account to join the conversation.

  • Posts: 5
3 years 5 months ago - 3 years 5 months ago #6 by D_Widget
I guess not.

Please Log in or Create an account to join the conversation.

  • Posts: 33
3 years 5 months ago - 3 years 5 months ago #7 by Gar Stazi
Rekindled FX v1.2 uses an older version of Reshade. Reshade 3.0 is the most recent version, but you can check here to find older versions:
reshade.me/forum/general-discussion/294-...-repository-new-host

Please Log in or Create an account to join the conversation.

  • Posts: 5
3 years 5 months ago #8 by D_Widget
Thanks for the info, will switch over to an older version.

Please Log in or Create an account to join the conversation.

  • Posts: 95
3 years 5 months ago #9 by F D B
I understand that you are trying to encourage to move to a newer version, which is going to make things easier and probably works better already. But ReShade 3.0 still lacks some very important shaders that are holding back some people (like me).

Like LUTs and HSV.

I will definetely try that version when those things are included by default.
Meanwhile I'm also stuck with the Mediator (which is a great version btw, I don't know why you guys decided to ditch it).

Thank you for everything you do Crosire. I really really appreciate it. Games wouldn't be the same without ReShade (any version).

Please Log in or Create an account to join the conversation.

  • Posts: 3723
3 years 5 months ago #10 by crosire
LUT is in the default shaders of 3.0 and HSV is available as well, just do a quick search on the forum for the latter.

Please Log in or Create an account to join the conversation.

  • Posts: 34
2 years 11 months ago #11 by B4rr3l
I got a lot of preprocessor errors specially related to Need_sRGB an SMAA, the come from a sweetFX folder inside my BF2 folder that I can't make it show, same for the .ini profiles that I can't delete.

Please Log in or Create an account to join the conversation.

  • Posts: 316
2 years 11 months ago #12 by FierySwordswoman
Why is there a "SweetFX" folder for your reshade 3 install?

Please Log in or Create an account to join the conversation.

  • Posts: 34
2 years 11 months ago #13 by B4rr3l
Cause I used older version before, but even deleting them it still there. Is there a way to share my reshade 3.0 .ini profile?

Please Log in or Create an account to join the conversation.